Implement Reference Manuals for ux2

Bug #1013712 reported by Paul Everitt on 2012-06-15
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
KARL3
Medium
JimPGlenn

Bug Description

** Remember to do section_style = none **

Page
- add/edit/view

Image
- add/edit/view

Reference Manual Folder

Reference Manual
- add/edit/view

Reference Section
- add/edit/view

Changed in karl3:
milestone: m108 → m107
status: New → Fix Committed
Paul Everitt (paul-agendaless) wrote :

Looks really good! Assigning to Jim for testing.

Changed in karl3:
assignee: Carlos de la Guardia (cguardia) → JimPGlenn (jpglenn09)
milestone: m107 → none
JimPGlenn (jpglenn09) wrote :

It appears to work. I am not sure if it is just like ux1. I get errors on ux1 "page" where I don't for ux2.

tags: added: tested
JimPGlenn (jpglenn09) wrote :

ux2 looks good

Can you explain the errors?

--Paul

On Jun 19, 2012, at 8:07 AM, JimPGlenn wrote:

> It appears to work. I am not sure if it is just like ux1. I get errors
> on ux1 "page" where I don't for ux2.
>
> ** Tags added: tested
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1013712
>
> Title:
> Implement Reference Manuals for ux2
>
> Status in KARL3:
> Fix Committed
>
> Bug description:
> ** Remember to do section_style = none **
>
> Page
> - add/edit/view
>
> Image
> - add/edit/view
>
> Reference Manual Folder
>
> Reference Manual
> - add/edit/view
>
> Reference Section
> - add/edit/view
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/karl3/+bug/1013712/+subscriptions

JimPGlenn (jpglenn09) wrote :

The errors under ux1 appear to be F404 errors and I assumed it was because we were on karl/dev.

What were the errors?

--Paul

On Jun 19, 2012, at 9:11 AM, JimPGlenn wrote:

> The errors under ux1 appear to be F404 errors and I assumed it was
> because we were on karl/dev.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1013712
>
> Title:
> Implement Reference Manuals for ux2
>
> Status in KARL3:
> Fix Committed
>
> Bug description:
> ** Remember to do section_style = none **
>
> Page
> - add/edit/view
>
> Image
> - add/edit/view
>
> Reference Manual Folder
>
> Reference Manual
> - add/edit/view
>
> Reference Section
> - add/edit/view
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/karl3/+bug/1013712/+subscriptions

JimPGlenn (jpglenn09) wrote :

I got the following error when I tried to access "Page" from the drop down of reference manuals. I no longer get the F404 errors.

AttributeError: 'Layout' object has no attribute 'include'
Exception when processing https://karldev.gocept.com/ux2/osf/offices/nyc/files/add_page.html
Referer: https://karldev.gocept.com/ux2/osf/offices/nyc/files/

Traceback (most recent call last):
  File "/srv/karldev/dev/builds/ux2/eggs/pyramid-1.2.1-py2.7.egg/pyramid/tweens.py", line 17, in excview_tween
    response = handler(request)
  File "/srv/karldev/dev/builds/ux2/eggs/pyramid-1.2.1-py2.7.egg/pyramid/router.py", line 153, in handle_request
    response = view_callable(context, request)
  File "/srv/karldev/dev/builds/ux2/eggs/pyramid-1.2.1-py2.7.egg/pyramid/config/views.py", line 523, in __call__
    return view(context, request)
  File "/srv/karldev/dev/builds/ux2/eggs/pyramid-1.2.1-py2.7.egg/pyramid/config/views.py", line 186, in _secured_view
    return view(context, request)
  File "/srv/karldev/dev/builds/ux2/eggs/pyramid-1.2.1-py2.7.egg/pyramid/config/views.py", line 311, in rendered_view
    context)
  File "/srv/karldev/dev/builds/ux2/eggs/pyramid-1.2.1-py2.7.egg/pyramid/renderers.py", line 393, in render_view
    return self.render_to_response(response, system, request=request)
  File "/srv/karldev/dev/builds/ux2/eggs/pyramid-1.2.1-py2.7.egg/pyramid/renderers.py", line 422, in render_to_response
    result = self.render(value, system_values, request=request)
  File "/srv/karldev/dev/builds/ux2/eggs/pyramid-1.2.1-py2.7.egg/pyramid/renderers.py", line 418, in render
    result = renderer(value, system_values)
  File "/srv/karldev/dev/builds/ux2/src/karl/karl/application.py", line 134, in metarenderer
    return classic_renderer(value, system)
  File "/srv/karldev/dev/builds/ux2/eggs/pyramid-1.2.1-py2.7.egg/pyramid/chameleon_zpt.py", line 49, in __call__
    result = self.template(**system)
  File "/srv/karldev/dev/builds/ux2/eggs/Chameleon-2.8.2-py2.7.egg/chameleon/template.py", line 125, in __call__
    return self.render(**kwargs)
  File "/srv/karldev/dev/builds/ux2/eggs/Chameleon-2.8.2-py2.7.egg/chameleon/zpt/template.py", line 258, in render
    return super(PageTemplate, self).render(**vars)
  File "/srv/karldev/dev/builds/ux2/eggs/Chameleon-2.8.2-py2.7.egg/chameleon/template.py", line 172, in render
    self._render(stream, econtext, rcontext)
  File "layout_formish_form_3ef24c338f9672992d33d281eb2a1fb92530fb20.py", line 290, in render
AttributeError: 'Layout' object has no attribute 'include'

Paul Everitt (paul-agendaless) wrote :
Download full text (3.4 KiB)

Yep, that's worth a different bug report, thanks!

--Paul

On Jun 19, 2012, at 12:21 PM, JimPGlenn wrote:

> I got the following error when I tried to access "Page" from the drop
> down of reference manuals. I no longer get the F404 errors.
>
> AttributeError: 'Layout' object has no attribute 'include'
> Exception when processing https://karldev.gocept.com/ux2/osf/offices/nyc/files/add_page.html
> Referer: https://karldev.gocept.com/ux2/osf/offices/nyc/files/
>
> Traceback (most recent call last):
> File "/srv/karldev/dev/builds/ux2/eggs/pyramid-1.2.1-py2.7.egg/pyramid/tweens.py", line 17, in excview_tween
> response = handler(request)
> File "/srv/karldev/dev/builds/ux2/eggs/pyramid-1.2.1-py2.7.egg/pyramid/router.py", line 153, in handle_request
> response = view_callable(context, request)
> File "/srv/karldev/dev/builds/ux2/eggs/pyramid-1.2.1-py2.7.egg/pyramid/config/views.py", line 523, in __call__
> return view(context, request)
> File "/srv/karldev/dev/builds/ux2/eggs/pyramid-1.2.1-py2.7.egg/pyramid/config/views.py", line 186, in _secured_view
> return view(context, request)
> File "/srv/karldev/dev/builds/ux2/eggs/pyramid-1.2.1-py2.7.egg/pyramid/config/views.py", line 311, in rendered_view
> context)
> File "/srv/karldev/dev/builds/ux2/eggs/pyramid-1.2.1-py2.7.egg/pyramid/renderers.py", line 393, in render_view
> return self.render_to_response(response, system, request=request)
> File "/srv/karldev/dev/builds/ux2/eggs/pyramid-1.2.1-py2.7.egg/pyramid/renderers.py", line 422, in render_to_response
> result = self.render(value, system_values, request=request)
> File "/srv/karldev/dev/builds/ux2/eggs/pyramid-1.2.1-py2.7.egg/pyramid/renderers.py", line 418, in render
> result = renderer(value, system_values)
> File "/srv/karldev/dev/builds/ux2/src/karl/karl/application.py", line 134, in metarenderer
> return classic_renderer(value, system)
> File "/srv/karldev/dev/builds/ux2/eggs/pyramid-1.2.1-py2.7.egg/pyramid/chameleon_zpt.py", line 49, in __call__
> result = self.template(**system)
> File "/srv/karldev/dev/builds/ux2/eggs/Chameleon-2.8.2-py2.7.egg/chameleon/template.py", line 125, in __call__
> return self.render(**kwargs)
> File "/srv/karldev/dev/builds/ux2/eggs/Chameleon-2.8.2-py2.7.egg/chameleon/zpt/template.py", line 258, in render
> return super(PageTemplate, self).render(**vars)
> File "/srv/karldev/dev/builds/ux2/eggs/Chameleon-2.8.2-py2.7.egg/chameleon/template.py", line 172, in render
> self._render(stream, econtext, rcontext)
> File "layout_formish_form_3ef24c338f9672992d33d281eb2a1fb92530fb20.py", line 290, in render
> AttributeError: 'Layout' object has no attribute 'include'
>
>
>
> ** Attachment added: "ref_man_ux1_options2012-06-19.png"
> https://bugs.launchpad.net/karl3/+bug/1013712/+attachment/3196202/+files/ref_man_ux1_options2012-06-19.png
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1013712
>
> Title:
> Implement Reference Manuals for ux2
>
> Status in KARL3:
> Fix Committed
>
> Bug description:
> ** Remember to do section_style = none **
>
> Page
> - add/edit/view
>
...

Read more...

JimPGlenn (jpglenn09) wrote :

this bug wil be n release the attribute error will be moved to it's own report see the following
https://bugs.launchpad.net/karl3/+bug/1015630

JimPGlenn (jpglenn09) on 2012-06-20
tags: added: r3.89
JimPGlenn (jpglenn09) wrote :

I removed the release tag because I cannot get the reference manual url to come up on staging.

Changed in karl3:
status: Fix Committed → In Progress
assignee: JimPGlenn (jpglenn09) → Carlos de la Guardia (cguardia)
Paul Everitt (paul-agendaless) wrote :

I think this is working ok, just different URLs than karldev.

Changed in karl3:
assignee: Carlos de la Guardia (cguardia) → JimPGlenn (jpglenn09)
milestone: none → m108
status: In Progress → Fix Committed
JimPGlenn (jpglenn09) wrote :

Ok I do feel dumb now. ready for release.

JimPGlenn (jpglenn09) on 2012-06-26
Changed in karl3:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers